import { Injectable } from '@angular/core';
import { Http, Headers, Response, RequestOptions } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import { Usuario, Configuracion } from '../objects/usuario';

import 'rxjs/add/operator/map'
import 'rxjs/add/operator/catch'

import { SERVER } from '../config';

@Injectable()
export class UsuarioService {
    constructor(private http: Http) {}

    actualizarConfiguracion(cedula: string, config: Configuracion) {
        let headers = new Headers({ 'Content-Type': 'application/json' });
        let options = new RequestOptions({ headers: headers });
        return this.http.put(SERVER + '/servicios/usuario/' + cedula + "/configuracion", config, options)
            .map(this.extractData)
            .catch(this.handleError);
    }

    private extractData(res: Response) {
        let body = res.json();
        return body || [];
    }

    private handleError(error: any) {
        let errMsg = (error.message) ? error.message :
            error.status ? `${error.status} - ${error.statusText}` : 'Server error';
        console.error(errMsg); // log to console instead
        return Observable.throw(errMsg);
    }
}
